local addonName, addonTable = ...;
------------
local Pig_Options = CreateFrame("Frame", "Pig_OptionsUI", UIParent,"BackdropTemplate")
Pig_Options:SetBackdrop({
    bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",
    edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border",
    tile = true,tileSize = 32,edgeSize = 32,
    insets = { left = 8, right = 8, top = 8, bottom = 8 }
})
Pig_Options:SetSize(800, 540)
Pig_Options:SetPoint("CENTER", UIParent, "CENTER", 0, 0)
Pig_Options:SetFrameStrata("DIALOG")
Pig_Options:EnableMouse(true)
Pig_Options:SetMovable(true)
Pig_Options:SetClampedToScreen(true)
tinsert(UISpecialFrames,"Pig_OptionsUI");

local Pig_Options_TOPT = CreateFrame("Frame", "Pig_Options_TOPTUI", Pig_Options)
Pig_Options_TOPT:SetSize(170, 46)
Pig_Options_TOPT:SetPoint("TOP", Pig_Options, "TOP", 0, 22)
Pig_Options_TOPT:EnableMouse(true)
Pig_Options_TOPT:RegisterForDrag("LeftButton")
Pig_Options_TOPT:SetScript("OnDragStart",function()
	Pig_Options:StartMoving()
end)
Pig_Options_TOPT:SetScript("OnDragStop",function()
	Pig_Options:StopMovingOrSizing()
end)

local Pig_Options_TOPT_Border = Pig_Options_TOPT:CreateTexture(nil, "ARTWORK")
Pig_Options_TOPT_Border:SetTexture("Interface\\DialogFrame\\UI-DialogBox-Header")
Pig_Options_TOPT_Border:SetSize(280, 80)
Pig_Options_TOPT_Border:SetPoint("TOP", Pig_Options_TOPT, "TOP", 0, 0)

local Pig_Options_TOPT_title = Pig_Options_TOPT:CreateFontString();
Pig_Options_TOPT_title:SetPoint("TOP", Pig_Options_TOPT, "TOP", 0, -17);
Pig_Options_TOPT_title:SetFontObject(GameFontNormal);


local Pig_Options_COS1 = Pig_Options:CreateTexture(nil, "ARTWORK")
Pig_Options_COS1:SetTexture("Interface\\DialogFrame\\UI-DialogBox-Header")
Pig_Options_COS1:SetTexCoord(0.31, 0.67, 0, 0.66)
Pig_Options_COS1:SetSize(16, 41)
Pig_Options_COS1:SetPoint("TOPRIGHT", Pig_Options, "TOPRIGHT", -30, 11)
local Pig_Options_COS2 = Pig_Options:CreateTexture(nil, "ARTWORK")
Pig_Options_COS2:SetTexture("Interface\\DialogFrame\\UI-DialogBox-Header")
Pig_Options_COS2:SetTexCoord(0.235, 0.275, 0, 0.66)
Pig_Options_COS2:SetPoint("RIGHT", Pig_Options_COS1, "LEFT",0,0)
Pig_Options_COS2:SetSize(10, 41)
local Pig_Options_COS3 = Pig_Options:CreateTexture(nil, "ARTWORK")
Pig_Options_COS3:SetTexture("Interface\\DialogFrame\\UI-DialogBox-Header")
Pig_Options_COS3:SetTexCoord(0.72, 0.76, 0, 0.66)
Pig_Options_COS3:SetPoint("LEFT", Pig_Options_COS1, "RIGHT",0,0)
Pig_Options_COS3:SetSize(10, 41)
local Pig_OptionsClose = CreateFrame("Button","Pig_OptionsCloseUI",Pig_Options, "UIPanelCloseButton");  
Pig_OptionsClose:SetSize(32,32);
Pig_OptionsClose:SetPoint("CENTER",Pig_Options_COS1,"CENTER",0,0);

--========================================================================
--tab Normal----------------------
local menu_Tab={"交互增强","聊天增强","战斗辅助","头像增强","显示增强","界面布局","游戏设置","快捷按钮","额外动作条","小地图管理","功能模块[各类助手]","配 置","关 于"};
local Tab_N=#menu_Tab;
--左侧菜单
local Pig_Options_LF = CreateFrame("Frame", "Pig_Options_LFUI", Pig_Options, "BackdropTemplate")
Pig_Options_LF:SetBackdrop( {
	bgFile = "Interface/DialogFrame/UI-DialogBox-Background", 
	edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 12, 
	insets = { left = 2, right = 2, top = 2, bottom = 2 } 
});
Pig_Options_LF:SetBackdropColor(0, 0, 0, 0.6);
Pig_Options_LF:SetBackdropBorderColor(1, 1, 1, 0.8);
Pig_Options_LF:SetSize(Pig_Options:GetWidth()*0.23-22, Pig_Options:GetHeight()-100)
Pig_Options_LF:SetPoint("TOPLEFT", Pig_Options, "TOPLEFT", 20, -60)

local LF_TAB_highlight = Pig_Options_LF:CreateTexture("LF_TAB_highlight_UI", "BORDER");
LF_TAB_highlight:SetTexture("interface/buttons/ui-listbox-highlight.blp");
LF_TAB_highlight:SetSize(Pig_Options_LF:GetWidth()-6,24);
LF_TAB_highlight:SetAlpha(0.9);

local function xuanzhongList(self)
	LF_TAB_highlight:SetAllPoints(self);
	_G["Pig_Options_LF_TAB_highlight_"..self:GetID()]:Hide();
	for i=1, Tab_N, 1 do
		_G["Pig_Options_LF_TAB_"..i.."_UI_Title"]:SetTextColor(1,0.82,0,1);
	end
	_G["Pig_Options_LF_TAB_"..self:GetID().."_UI_Title"]:SetTextColor(1,1,1,1);
	for i=1, Tab_N, 1 do
		_G["Pig_Options_RF_TAB_"..i.."_UI"]:Hide();
	end
	_G["Pig_Options_RF_TAB_"..self:GetID().."_UI"]:Show();
end

for i=1, Tab_N, 1 do
	local Pig_Options_LF_TAB = CreateFrame("Button", "Pig_Options_LF_TAB_"..i.."_UI", Pig_Options_LF,nil,i);
	Pig_Options_LF_TAB:SetSize(Pig_Options_LF:GetWidth()-6,24);
	if i==1 then
		Pig_Options_LF_TAB:SetPoint("TOP", Pig_Options_LF, "TOP", 0, -4);
		LF_TAB_highlight:SetAllPoints(Pig_Options_LF_TAB);
	else
		Pig_Options_LF_TAB:SetPoint("TOP", _G["Pig_Options_LF_TAB_"..(i-1).."_UI"], "BOTTOM", 0, 0);
	end
	Pig_Options_LF_TAB:RegisterForClicks("LeftButtonUp", "RightButtonUp");
	Pig_Options_LF_TAB:SetScript("OnClick", xuanzhongList)
	Pig_Options_LF_TAB_Title = Pig_Options_LF_TAB:CreateFontString("Pig_Options_LF_TAB_"..i.."_UI_Title");
	Pig_Options_LF_TAB_Title:SetPoint("LEFT", Pig_Options_LF_TAB, "LEFT", 4, 0);
	Pig_Options_LF_TAB_Title:SetFontObject(GameFontNormal);
	if i==1 then
		Pig_Options_LF_TAB_Title:SetTextColor(1,1,1,1);
	end
	Pig_Options_LF_TAB_Title:SetText(menu_Tab[i]);
	local Pig_Options_LF_TAB_highlight = Pig_Options_LF_TAB:CreateTexture("Pig_Options_LF_TAB_highlight_"..i, "BORDER");
	Pig_Options_LF_TAB_highlight:SetTexture("interface/buttons/ui-listbox-highlight2.blp");
	Pig_Options_LF_TAB_highlight:SetBlendMode("ADD")
	Pig_Options_LF_TAB_highlight:SetPoint("CENTER", Pig_Options_LF_TAB, "CENTER", 0,0);
	Pig_Options_LF_TAB_highlight:SetSize(Pig_Options_LF:GetWidth()-6,24);
	Pig_Options_LF_TAB_highlight:SetAlpha(0.4);
	Pig_Options_LF_TAB_highlight:Hide();
	Pig_Options_LF_TAB:SetScript("OnEnter", function (self)
		if not _G["Pig_Options_RF_TAB_"..i.."_UI"]:IsShown() then
			_G["Pig_Options_LF_TAB_"..i.."_UI_Title"]:SetTextColor(1,1,1,1);
			_G["Pig_Options_LF_TAB_highlight_"..i]:Show();
		end
	end);
	Pig_Options_LF_TAB:SetScript("OnLeave", function (self)
		if not _G["Pig_Options_RF_TAB_"..i.."_UI"]:IsShown() then
			_G["Pig_Options_LF_TAB_"..i.."_UI_Title"]:SetTextColor(1,0.82,0,1);	
		end
		_G["Pig_Options_LF_TAB_highlight_"..i]:Hide();
	end);
end
--===============================================================================
--右侧菜单
local Pig_Options_RF = CreateFrame("Frame", "Pig_Options_RF_UI", Pig_Options, "BackdropTemplate")
Pig_Options_RF:SetBackdrop( {
	bgFile = "Interface/DialogFrame/UI-DialogBox-Background", 
	edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 12, 
	insets = { left = 2, right = 2, top = 2, bottom = 2 } 
});
Pig_Options_RF:SetBackdropColor(0, 0, 0, 0.6);
Pig_Options_RF:SetBackdropBorderColor(1, 1, 1, 0.8);
Pig_Options_RF:SetSize(Pig_Options:GetWidth()*0.76-22, Pig_Options:GetHeight()-100)
Pig_Options_RF:SetPoint("TOPRIGHT", Pig_Options, "TOPRIGHT", -20, -60)

---------------------
for i=1, Tab_N, 1 do
	local Pig_Options_RF_TAB = CreateFrame("Frame", "Pig_Options_RF_TAB_"..i.."_UI", Pig_Options)
	Pig_Options_RF_TAB:SetSize(Pig_Options_RF:GetWidth(), Pig_Options_RF:GetHeight())
	Pig_Options_RF_TAB:SetPoint("TOP", Pig_Options_RF, "TOP", 0, 0)
	if i>1 then
		Pig_Options_RF_TAB:Hide();
	end	
end
--///////////////////////////////////////////////////////////////////////////
--界面选项插件菜单
local PIG_AddOn = {};
PIG_AddOn.panel = CreateFrame( "Frame", "PIG_AddOnPanel", UIParent );
PIG_AddOn.panel.name = "!Pig";
InterfaceOptions_AddCategory(PIG_AddOn.panel);
--子页
PIG_AddOn.childpanel = CreateFrame( "Frame", "PIG_AddOnChild", PIG_AddOn.panel);
PIG_AddOn.childpanel.name = "猪猪加油";
--指定归属父级
PIG_AddOn.childpanel.parent = PIG_AddOn.panel.name;
InterfaceOptions_AddCategory(PIG_AddOn.childpanel);
--小地图按钮
PIG_AddOnPanel.MinimapB = CreateFrame("CheckButton", nil, PIG_AddOnPanel, "ChatConfigCheckButtonTemplate");
PIG_AddOnPanel.MinimapB:SetSize(30,32);
PIG_AddOnPanel.MinimapB:SetPoint("TOPLEFT",PIG_AddOnPanel,"TOPLEFT",20,-20);
PIG_AddOnPanel.MinimapB.Text:SetText("显示小地图按钮");
PIG_AddOnPanel.MinimapB.tooltip = "显示插件的小地图按钮。";
PIG_AddOnPanel.MinimapB:SetScript("OnClick", function (self)
	if self:GetChecked() then
		PIG["Other"]['MinimapB']="ON";
		addonTable.Panel_MinimapButton_Open()
	else
		PIG["Other"]['MinimapB']="OFF";
		ReloadUI();
	end
end);
addonTable.Panel_MinimapB = function()
	if PIG["Other"]['MinimapB']=="ON" then
		PIG_AddOnPanel.MinimapB:SetChecked(true);
	elseif PIG["Other"]['MinimapB']=="OFF" then
		PIG_AddOnPanel.MinimapB:SetChecked(false);
	end
end
--打开设置面板
local Openshezhi = CreateFrame("Button", "Openshezhi_UI", PIG_AddOnPanel, "UIPanelButtonTemplate");
Openshezhi:SetSize(80,28);
Openshezhi:SetPoint("TOPLEFT",PIG_AddOnPanel,"TOPLEFT",20,-60);
Openshezhi:SetText("设置");
Openshezhi:SetScript("OnClick", function ()
	if Pig_OptionsUI:IsShown() then	
		Pig_OptionsUI:Hide();
	else
		InterfaceOptionsFrame:Hide()
		Pig_OptionsUI:Show();
	end
end)
-- PIG_AddOnPanel.okay = function (self) SC_ChaChingPanel_Close(); end;
-- PIG_AddOnPanel.cancel = function (self) SC_ChaChingPanel_CancelOrLoad();  end;
--子页内容
local QQqun="QQ群\124cff00ff0027397148\124r\124cffFFff00(已满)\124r, 2群\124cff00ff00117883385\124r"
local PigAbout="玩家交流\124cff00ff00YY频道113213\124r,\n\n 插件问题反馈:QQ群\124cff00ff0027397148\124r\124cffFFff00(已满)\124r, 2群\124cff00ff00117883385\124r"..
				"\n\n经典怀旧-辛洛斯-LM-猪猪加油\n\n正式服-火烟之谷-BL-猪猪加油";
local PIG_AddOnChild_title = PIG_AddOnChild:CreateFontString();
PIG_AddOnChild_title:SetPoint("TOP",PIG_AddOnChild,"TOP",0,-40);
PIG_AddOnChild_title:SetFont(ChatFontNormal:GetFont(), 16, "OUTLINE");
PIG_AddOnChild_title:SetText(PigAbout);
---
--重载提示
Pig_Options_RF.tishi = CreateFrame("Frame", "Pig_Options_RLtishi_UI", Pig_Options_RF)
Pig_Options_RF.tishi:SetSize(520, 28)
Pig_Options_RF.tishi:SetPoint("TOP", Pig_Options_RF, "BOTTOM", 0, 0)
Pig_Options_RF.tishi:Hide()
--Pig_Options_RLtishi_UI:Show()
Pig_Options_RF.tishi.txt = Pig_Options_RF.tishi:CreateFontString();
Pig_Options_RF.tishi.txt:SetPoint("CENTER", Pig_Options_RF.tishi, "CENTER", -20, 0);
Pig_Options_RF.tishi.txt:SetFont(ChatFontNormal:GetFont(), 14,"OUTLINE")
Pig_Options_RF.tishi.txt:SetText("\124cffffff00***配置已更改，请重载UI界面以应用新配置***\124r");
Pig_Options_RF.tishi.Tex = Pig_Options_RF.tishi:CreateTexture(nil, "BORDER");
Pig_Options_RF.tishi.Tex:SetTexture("interface/helpframe/helpicon-reportabuse.blp");
Pig_Options_RF.tishi.Tex:SetSize(30,30);
Pig_Options_RF.tishi.Tex:SetPoint("RIGHT",Pig_Options_RF.tishi.txt,"LEFT", 0, 0);
Pig_Options_RF.tishi.Button = CreateFrame("Button",nil,Pig_Options_RF.tishi, "UIPanelButtonTemplate");  
Pig_Options_RF.tishi.Button:SetSize(64,28);
Pig_Options_RF.tishi.Button:SetPoint("LEFT",Pig_Options_RF.tishi.txt,"RIGHT",0,0);
Pig_Options_RF.tishi.Button:SetText("重载UI");
local buttonFont=Pig_Options_RF.tishi.Button:GetFontString()
buttonFont:SetFont(ChatFontNormal:GetFont(), 13);
buttonFont:SetTextColor(1, 1, 1, 1);
Pig_Options_RF.tishi.Button:SetScript("OnClick", function ()
	ReloadUI();
end);
--标头版本信息
local benjibanbenhao=GetAddOnMetadata(addonName, "Version")
Pig_Options_TOPT_title:SetText("|cffFF00FF!Pig|r-"..benjibanbenhao);

--版本提示
local benji_banbenhaoV=string.gsub(benjibanbenhao,"%.","0");--本机
local benji_banbenhaoV=tonumber(benji_banbenhaoV);--本机
local biaotou='!Pig-Version';
local banbengengxin='版本更新';
local banbengengxinkaiqi=true;
C_ChatInfo.RegisterAddonMessagePrefix(biaotou)
local Version_tishi = CreateFrame("Frame")
Version_tishi:RegisterEvent('CHAT_MSG_ADDON'); 
Version_tishi:RegisterEvent("PLAYER_LOGIN");            
Version_tishi:SetScript("OnEvent",function(self, event, arg1, arg2, arg3, arg4, arg5)
	if event=="PLAYER_LOGIN" then
		if PIG["NEW_Version"] then
			if PIG["NEW_Version"]>benji_banbenhaoV then
				banbengengxinkaiqi=false;
				print("|cff00FFFF!Pig:|r|cffFFFF00插件已过期,请到"..QQqun.."获取最新版本！|r")
			end
		end
		if banbengengxinkaiqi then
			C_ChatInfo.SendAddonMessage(biaotou,banbengengxin,"SAY")
			C_ChatInfo.SendAddonMessage(biaotou,banbengengxin,"YELL")
			if IsInGuild() then C_ChatInfo.SendAddonMessage(biaotou,banbengengxin,"GUILD") end
			if IsInGroup() then C_ChatInfo.SendAddonMessage(biaotou,banbengengxin,"PARTY") end
			if IsInRaid("LE_PARTY_CATEGORY_HOME") then C_ChatInfo.SendAddonMessage(biaotou,banbengengxin,"RAID") end
			if IsInRaid("LE_PARTY_CATEGORY_INSTANCE") then C_ChatInfo.SendAddonMessage(biaotou,banbengengxin,"INSTANCE_CHAT") end
		end
	end
	---
	if event=="CHAT_MSG_ADDON" and arg1 == biaotou then
		local name=GetUnitName("player", true)
		if arg5~=name then
			if arg2=="版本更新" then
				C_ChatInfo.SendAddonMessage(biaotou,benji_banbenhaoV,"WHISPER",arg5)
				return
			end
			if banbengengxinkaiqi then
				local arg2xxx=tonumber(arg2);
				if arg2xxx then
					if arg2xxx>benji_banbenhaoV then
						banbengengxinkaiqi=false;
						print("|cff00FFFF!Pig:|r|cffFFFF00插件已过期,请到"..QQqun.."获取最新版本！|r")
						PIG["NEW_Version"]=arg2xxx					
					end	
				end
			end
		end
	end
end)
----